Breadcrumbs

Metavault API - Get datapackage table list

GetDatapackageTableList - GET

Path

/api/projects/{projectId}/datapackagetables

Http Method

GET

Overview

TBA : This API call is part of an upcoming release.

This call searches over the complete set of datapackage tables of a project using various filters. See query parameters below.

Required permissions

  • Read access to the Source module. SOURCE READ

Request

Query parameters

For paging parameters see: Metavault API - General concepts

In the query parameters, string array entries are separated by a comma: ,

Filters are joined together with an AND logical operator. Meaning, if you specify several filters, a table must validate them all to be included.

Parameter

Type

Required

Default

Description

Example

sourceNames

string array

No

null

Filter deactivated

A list of names of source systems. The tables of which should be included in the result.

My Source one,My source two

sourceCodes

string array

No

null

Filter deactivated

A list of codes of source systems. The tables of which should be included in the result.

S1,ODO,pla

sourceIds

string array

No

null

Filter deactivated

A list of ids of source systems. The tables of which should be included in the result.

525f2a0c-0bf0-4c9d-9767-cb344151e490,acfb16f9-8cf5-451b-83f1-21b352651e0a

dataPackageNames

string array

No

null

Filter deactivated

A list of names of data packages. The tables of which should be included in the result.

package1,package2

dataPackageIds

string array

No

null

Filter deactivated

A list of ids of data packages. The tables of which should be included in the result.

e0fa2ac4-aa45-42c7-8eaa-83f5e34da735,c72bf0b0-2f6d-4cb8-943f-da14d59d9971

names

string array

No

null

Filter deactivated

A list of names of data package tables that should be included in the result.

table1,another_table

ids

string array

No

null

Filter deactivated

A list of ids of data package tables that should be included in the result.

59e010bd71a643a0811e719028c8cea6,fcdeaad17c7f448eb936f2fdd7ac7752

includeColumns

bool

No

False

True if the columns of the tables should be included in the result.

true

Response

Success response (200 OK)

For collection parameter responses see: Metavault API - General concepts

JSON
{
  "_embedded": {
    "dataPackageTables": [
      {
        "_embedded": {
          "columns": [
            {
              "id": "efc107362044911fb3199d4228d184fa",
              "name": "IDENTIFIANT_LOGIQUE",
              "dataType": "String",
              "length": 32,
              "baseType": {
                "isText": true,
                "isBinary": false,
                "type": "String",
                "dataType": "String",
                "length": 32,
                "autoIncrement": false
              },
              "nullable": true,
              "primaryKey": false,
              "typeFullName": "VARCHAR(32)"
            },
            {
              "id": "fce79d25f4e256874454224320ab3ace2",
              "name": "IDENTIFIANT_NUMERIQUE",
              "dataType": "String",
              "length": 32,
              "baseType": {
                "isText": true,
                "isBinary": false,
                "type": "String",
                "dataType": "String",
                "length": 32,
                "autoIncrement": false
              },
              "nullable": true,
              "primaryKey": false,
              "typeFullName": "VARCHAR(32)"
            },
            {
              "id": "7cac648996358745229b8e0920b53c57",
              "name": "IDENTIFIANT_PREMIER",
              "dataType": "String",
              "length": 32,
              "baseType": {
                "isText": true,
                "isBinary": false,
                "type": "String",
                "dataType": "String",
                "length": 32,
                "autoIncrement": false
              },
              "nullable": true,
              "primaryKey": false,
              "typeFullName": "VARCHAR(32)"
            }
          ]
        },
        "id": "59e010bd71a699686974129028c8cea6",
        "tableName": "ut_prevention",
        "targetTableName": "ut_prevention",
        "targetSchemaName": "stg",
        "sourceSystemId": "e2ed3ab1-1794-4ae7-9f01-570002145896",
        "dataPackageId": "c72bf0b0-2f6d-4cb8-943f-da0321547896",
        "query": "SELECT ...",
        "queryType": "View",
        "isQueryBased": true
      },
      {
        "_embedded": {
          "columns": [
            {
              "id": "fcdeaad17c702ea45e58d2fdd7ac7752",
              "name": "ALPHA",
              "dataType": "String",
              "length": 30,
              "baseType": {
                "isText": true,
                "isBinary": false,
                "type": "String",
                "dataType": "String",
                "length": 30,
                "autoIncrement": false
              },
              "nullable": true,
              "primaryKey": false,
              "typeFullName": "VARCHAR(30)"
            },
            {
              "id": "18835605e4a3d5e21bd3c2a19b84dfe5",
              "name": "BETA",
              "dataType": "DateTime2",
              "baseType": {
                "isText": false,
                "isBinary": false,
                "type": "DateTime2",
                "dataType": "DateTime2",
                "autoIncrement": false
              },
              "nullable": true,
              "primaryKey": false,
              "typeFullName": "DATETIME"
            },
            {
              "id": "43e62790120eede561d4dc9685dd2284",
              "name": "GAMMA",
              "dataType": "String",
              "length": 30,
              "baseType": {
                "isText": true,
                "isBinary": false,
                "type": "String",
                "dataType": "String",
                "length": 30,
                "autoIncrement": false
              },
              "nullable": true,
              "primaryKey": false,
              "typeFullName": "VARCHAR(30)"
            }
          ]
        },
        "id": "9717b9142001ed23e32b623f84f7dc8c",
        "tableName": "ugtall",
        "targetTableName": "ugtall",
        "targetSchemaName": "stg",
        "sourceSystemId": "c850cf9f-7f83-4eeb-822a-ff001ead4555",
        "dataPackageId": "d5b81dc0-fbb7-4b11-b09f-8ff98aedae99",
        "query": "SELECT ...",
        "queryType": "Table",
        "isQueryBased": false
      }
    ]
  },
  "sort": [
    "targetSchemaName",
    "-targettablename"
  ],
  "index": 0,
  "limit": 2,
  "expand": [],
  "total": 643
}
Response fields

Field

Type

Description

_embedded.dataPackageTables

array of objects

The list of data package tables